from ninja import Router
from utils.permissions import login_required
from utils.auth import jwt_auth

user_router = Router(tags=["用户信息"])

@user_router.get("/me", auth=jwt_auth)
@login_required
def get_user_info(request):
    user = request.user
    return {
        "id": user.id,
        "username": user.username,
        "email": user.email,
        "role": user.role,
        "is_active": user.is_active,
        "is_staff": user.is_staff,
    }
