from django.contrib import admin
from authorize.models import WebsiteAccessRequest, ResumeDetailAccessRequest


# Register your models here.
@admin.register(WebsiteAccessRequest)
class WebsiteAccessRequestAdmin(admin.ModelAdmin):
    list_display = ('user', 'website', 'status', 'reason', 'created_at', 'updated_at')
    list_filter = ('status', 'website', 'created_at')
    search_fields = ('user__username', 'website__name', 'reason')
    ordering = ('-created_at',)
    readonly_fields = ('created_at', 'updated_at')

@admin.register(ResumeDetailAccessRequest)
class ResumeDetailAccessRequestAdmin(admin.ModelAdmin):
    list_display = ('user', 'resume', 'reason', 'status', 'created_at')
    list_filter = ('status', 'created_at')
    search_fields = ('user__username', 'resume__id')